[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.GetData

Get the parameter value from a memory buffer

## Declaration

Source position: db.pas line 1181

`public procedure TParam.GetData(`
`Buffer: Pointer`
`);`

## Arguments

`Buffer` |  | Buffer to copy parameter value to.

## Description

GetData retrieves the parameter value and stores it in buffer It uses the same data layout as TField, and can be used to copy the parameter value to a record buffer.

## Errors

Only basic field types are supported. Using an unsupported field type will result in an EdatabaseError exception.

## See also

TParam.SetData |  | Set the parameter value from a buffer
TField |  | Provide access to the contents of a single field in a record

Documentation generated on: Feb 26 2014